Subject: Re: bug#52173: `ś' character not available using `C-x 8'

From: Robert Pluim <[email-masked]>
Date: Mon, 29 Nov 2021 18:19:18 +0100

>>>>> On Mon, 29 Nov 2021 17:03:17 +0000, André A. Gomes <[email-masked]> said:

    André> Robert Pluim <[email-masked]> writes:
    >>>>>>> On Mon, 29 Nov 2021 15:55:16 +0000, André A. Gomes <[email-masked]> said:
    >> 
    André> Robert Pluim <[email-masked]> writes:
    >> >> What might be more useful is an input-method ring, so
    >> >> you could quickly switch between 2 or more input methods.
    >> 
    André> I agree.  It should be easier to go from any 2 input methods defined by
    André> quail.
    André> I will add it to my todo.
    >> 
    >> A rough cut. Of course this should probably be part of `toggle-input-method'.

    André> Am I right in thinking that the ring doesn't cycle through the state of
    André> having no IM selected?  IMO, `cycle-input-method' should deprecate
    André> `toggle-input-method', since the latter is the same as the former when
    André> what you call `input-method-list' has one element.

Yes, thatʼs what it does.

It should probably have a 'nil' element in there as well. Iʼm not sure
about deprecating `toggle-input-method', I was thinking more along the
lines of "C-- C-\" meaning "cycle". 

Robert
--